Bug 203749 - volume keys don't have keysyms on Dell Precision M65
volume keys don't have keysyms on Dell Precision M65
Product: Fedora
Classification: Fedora
Component: xkeyboard-config (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Depends On:
Blocks: 203737
  Show dependency treegraph
Reported: 2006-08-23 11:46 EDT by Matthias Clasen
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-24 23:41:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch (11.09 KB, patch)
2006-08-24 20:03 EDT, Matthias Clasen
no flags Details | Diff
new patch (11.57 KB, patch)
2006-08-24 20:47 EDT, Matthias Clasen
no flags Details | Diff

External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 7992 None None None Never

  None (edit)
Description Matthias Clasen 2006-08-23 11:46:43 EDT
The volume mute/up/down keys have no keysyms assigned to them.
They have keycodes 0xa0, 0xae and 0xb0. Binding them with in
the keybinding capplet works fine, though.
Comment 1 Matthias Clasen 2006-08-24 20:03:06 EDT
Here is a patch that adds a geometry description and suitable symbols definition
to support this laptop
Comment 2 Matthias Clasen 2006-08-24 20:03:44 EDT
Created attachment 134872 [details]
Comment 3 Matthias Clasen 2006-08-24 20:08:58 EDT
The patch is still missing two things:

a) an entry in base.xml

b) the overlayed number keypad is not represented in the geometry yet
Comment 4 Matthias Clasen 2006-08-24 20:47:08 EDT
Created attachment 134878 [details]
new patch

The second patch add the model the .xml file. I decided to not worry about
the overlays for now, since gnome-keyboard-properties is not displaying
overlays anyway.
Comment 5 Matthias Clasen 2006-08-24 23:41:38 EDT
Fixed in rawhide, and filed upstream

Note You need to log in before you can comment on or make changes to this bug.